export declare const FieldTypes: Readonly<{
    media: "sf-media";
    mediaData: "sf-media-data";
    shortText: "sf-short-text";
    password: "sf-password-short-text";
    shortTextDefault: "sf-short-text-default";
    longText: "sf-long-text";
    html: "sf-wrapper-html";
    taxa: "sf-taxa";
    facetTaxa: "sf-facet-taxa";
    urlName: "sf-url-name";
    number: "sf-number";
    additionalUrls: "sf-additional-urls";
    choice: "sf-choice";
    taxonomyTypeChoice: "sf-choice-taxonomy-type";
    choiceReadonly: "sf-choice-readOnly";
    choiceDropDown: "sf-dropdown-choice";
    choiceDropDownList: "sf-dropdown-list-choice";
    choiceMultiple: "sf-multiple-choice";
    choiceMultipleReadonly: "sf-multiple-choice-readonly";
    choiceYesNo: "sf-yes-no-choice";
    choiceYesNoReadonly: "sf-yes-no-choice-readOnly";
    choiceList: "sf-choice-list";
    choiceListMultiple: "sf-choice-list-multiple";
    choiceParameterizedSelector: "sf-parameterized-choice-selector";
    choiceChip: "sf-chip-choice";
    choiceServiceUrl: "sf-choice-service-url";
    switch: "sf-switch-wrapper";
    dateTime: "sf-date-time";
    date: "sf-date-time";
    relatedData: "sf-related-data";
    dropdownSelector: "sf-dropdown-selector";
    textArea: "sf-text-area";
    linkInsert: "sf-link-insert";
    address: "sf-address";
    recurringEvent: "sf-recurring-event";
    timezones: "sf-timezones";
    parentDropdownSelector: "sf-parent-dropdown-selector";
    eventTimeCompositeField: "sf-event-time-composite-field";
    color: "sf-color-picker";
    hidden: "sf-hidden";
    siteSync: "sf-site-sync-item-info";
    navigationOptionsCompositeField: "sf-navigation-options-composite-field";
    localizationStrategy: "sf-localization-selector";
    searchSiteCompositeField: "sf-search-site-composite-field";
    advancedOptionsCompositeField: "sf-advanced-optins";
    arrayOfGUIDs: "sf-array-of-guids";
    urlNameStructure: "sf-url-name-structure";
    read: "sf-read-only";
    titleRead: "sf-title-read-only";
    complex: "sf-complex";
    multipleChoiceChip: "sf-multiple-choice-chip";
    customSize: "sf-edit-image-thumbnail";
    thumbnail: "sf-thumbnail-selector";
    fileList: "sf-file-list";
    content: "sf-content-selector";
    contentAll: "sf-filtercontent-selector";
    videoThumbnail: "sf-video-thumbnail";
    itemList: "sf-item-list";
    templateThumbnail: "sf-template-thumbnail";
    listSettings: "sf-list-settings";
    resultsListSettings: "sf-extended-list-settings";
    listFieldMapping: "sf-field-mappings";
    listFieldMappingCss: "sf-field-mappings-css";
    viewSelector: "sf-view-selector";
    range: "sf-range";
    rangeLimitation: "sf-range-limitation";
    attributes: "sf-attributes";
    fileTypes: "sf-file-types";
    pencilButton: "sf-pencil-button";
    taxonSelector: "sf-taxon-selector";
    contentTypeSelector: "sf-content-type-selector";
    dateAndTimeSelector: "sf-date-and-time-selector";
    formRedirectPageCompositeField: "sf-form-redirect-page-composite-field";
    linkSelector: "sf-link-selector";
    fieldSelector: "sf-field-selector";
    navigateToUrl: "sf-navigate-to-url";
    statusSelector: "sf-status-selector";
    dateTimeSelectorContent: "sf-datetime-selector-content";
    aiTaxa: "sf-taxa-ai";
    dropdownWithText: "sf-dropdown-with-text";
    iframeField: "sf-iframe-field";
}>;
